MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031709Open CASCADE[OCCT] OCCT:DRAWpublic2020-08-12 16:302020-09-05 12:40
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031709: Draw Harness - move methods ViewerTest::ParseOnOff()/ParseColor() to package Draw
DescriptionParsing color and on/off arguments is a common task not specific to ViewerTest plugin, so that it is desired moving these methods to Draw package.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031713verifiedbugmaster Draw Harness, IVtkDraw - add commands ivtksetcolor, ivtkaxo, ivtkclose, ivtksettransparency 

-  Notes
(0093480)
git (administrator)
2020-08-12 16:48

Branch CR31709 has been created by kgv.

SHA-1: 9f44e1ab5bc02ac2c676ddd7a512bf72516d93a7


Detailed log of new commits:

Author: kgv
Date: Wed Aug 12 15:58:22 2020 +0300

    0031709: Draw Harness - move methods ViewerTest::ParseOnOff()/ParseColor() to package Draw
    
    Methods ParseOnOff()/ParseColor() have been moved from package ViewerTest to Draw.
    Command "vlight -color" now accepts RGB values, not only name.
    Implementation of pload command has been cleaned up.
(0093493)
kgv (developer)
2020-08-13 22:53

Patch is ready for review, branches CR31709 in OCCT and OCC Products.

Tested in scope of 0031713:
http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31713-master-KGV/view/PRODUCTS%20compile/ [^]
(0093497)
git (administrator)
2020-08-14 09:45

Branch CR31709 has been updated forcibly by kgv.

SHA-1: f084c01dfb7f3af60f7f41f61d747d0c2eb5d192
(0093500)
osa (developer)
2020-08-14 09:52

The patch was reviewed
(0093507)
bugmaster (administrator)
2020-08-16 11:38

Combination -
OCCT branch : IR-2020-08-14
master SHA - 12e6d49993ae1c998ad802086e0ff62e4f93c6a1
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-14 SHA - 538cec7d7ec12567665956502d9224b22edaab31
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17160.250000000116 / 17191.360000000128 [-0.18%]
Products
Total CPU difference: 11820.020000000079 / 11889.420000000087 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 18724.890625 / 18788.5625 [-0.34%]
Products
Total CPU difference: 13316.109375 / 13265.75 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093509)
git (administrator)
2020-08-16 11:52

Branch CR31709 has been deleted by inv.

SHA-1: f084c01dfb7f3af60f7f41f61d747d0c2eb5d192

- Related Changesets
occt: master dae2a922
Timestamp: 2020-08-12 12:58:22
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031709: Draw Harness - move methods ViewerTest::ParseOnOff()/ParseColor() to package Draw

Methods ParseOnOff()/ParseColor() have been moved from package ViewerTest to Draw.
Command "vlight -color" now accepts RGB values, not only name.
Implementation of pload command has been cleaned up.
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw.hxx Diff ] File ]
mod - src/Draw/Draw_PloadCommands.cxx Diff ] File ]
mod - src/Resource/Resource_Manager.cxx Diff ] File ]
mod - src/Resource/Resource_Manager.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_CmdParser.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Colors.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-12 16:30 kgv New Issue
2020-08-12 16:30 kgv Assigned To => kgv
2020-08-12 16:48 git Note Added: 0093480
2020-08-13 22:53 kgv Note Added: 0093493
2020-08-13 22:53 kgv Assigned To kgv => osa
2020-08-13 22:53 kgv Status new => resolved
2020-08-13 22:54 kgv Relationship added related to 0031713
2020-08-14 09:45 git Note Added: 0093497
2020-08-14 09:52 osa Note Added: 0093500
2020-08-14 09:52 osa Assigned To osa => bugmaster
2020-08-14 09:52 osa Status resolved => reviewed
2020-08-16 11:38 bugmaster Note Added: 0093507
2020-08-16 11:38 bugmaster Status reviewed => tested
2020-08-16 11:43 bugmaster Test case number => Not required
2020-08-16 11:44 bugmaster Changeset attached => occt master dae2a922
2020-08-16 11:44 bugmaster Status tested => verified
2020-08-16 11:44 bugmaster Resolution open => fixed
2020-08-16 11:52 git Note Added: 0093509


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker